// FILENAME:	DOE_Judgement_Day.cs
//
// AUTHORS:  	Bandit
//------------------------------------------------------------------------------

$missionName = "DOE_Judgement_Day";



exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionLoad()
{
   logStandardMissionStart();

   cdAudioCycle("Cyberntx", "Cloudburst", "Terror"); 
}

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to the =DOE= ROCKS server. No profanity or flaming while you are here please. To join DOE, go to http://www.clhnexus.com. To find out about our Mechwarrior league (WNL), go to http://www.mech-league.com. This map kindly provided by |OF|Bandit. Have fun and enjoy!");
}

function onMissionStart()
{
	initGlobalVars();
   
	earthquakeSounds();
}

